.equ SYSCALL_BASE,	0x900000
.equ SYSCALL_EXIT,	1
.equ SYSCALL_WRITE,	4

.text
.align 2
.globl _start

_start:
	mov r0,#5				@ total = 5
	mov r1,#0				@ counter1 = 0

_ciclo1:
	cmp r0,r1				@ compara c1 e tot
	beq _exit				@ se for igual sai
	mov r2,#0				@ counter2 = 0

_ciclo2:
	cmp r2,r1				@ compara c1 e c2 	
	beq _estrela				@ se for igual _estrela
	blt _estrela				@ se for menor _estrela

	stmfd sp!, {r0-r2}			@ guarda r0 a r2 na stack
	adr r1,newline				@ le \n
	bl _print				@ imprime
	ldmfd sp!, {r0-r2}			@ le da stack r0 a r2

	add r1,r1,#1				@ incrementa c1
	b _ciclo1				@ salta _ciclo1

_estrela:
	stmfd sp!, {r0-r2}			@ guarda r0 a r2 na stack
	adr r1,estrela				@ le *
	bl _print				@ imprime
	ldmfd sp!, {r0-r2}			@ le da stack r0 a r2

	add r2,r2,#1				@ incrementa c2
	b _ciclo2				@ salta _ciclo2

_exit:
	mov	r0,#0				@ resultado e' 0
	swi	SYSCALL_BASE+SYSCALL_EXIT	@ sai

_print:
	mov	r0,#1				@ 1 == stadout
	mov	r2,#1				@ tamanho da string
	swi	SYSCALL_BASE+SYSCALL_WRITE	@ imprime
	bx	r14				@ return

estrela:.string "*"
newline:.string "\n"
